using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTableBBS
{
	/// <summary>
	/// add 的摘要说明。
	/// </summary>
	public class add : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label L_script;
		protected dtable.dTable DTable1;
		protected System.Web.UI.WebControls.Label L_list;
		protected System.Web.UI.WebControls.Image Img_addnew;
		protected System.Web.UI.WebControls.Label L_user;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label L_bbsname;
		protected System.Web.UI.WebControls.Label L_login;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			// 在此处放置用户代码以初始化页面
			string strb=sharecode.GetQueryStringValue("DTable_b");
			L_bbsname.Text=sharecode.strBBSName;

			
			
		

			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.List_Enable =false;
			DTable1.Edit_EnableEdt =false;
			DTable1.Edit_EnableAdd =true;
			DTable1.Edit_EnableDel =false;
			DTable1.Edit_EnablePostAndAddNewButton=false;

			DTable1.TableName="DTable_BBS";
			DTable1.List_SQL="select count(*) from DTable_BBS";
			DTable1.List_Enable=false;
			DTable1.Edit_URL_AddEnd="list.aspx?DTable_b=" + strb;
			DTable1.Edit_FieldList="id,主题,内容,相关图片,相关文件,发布人,IP地址,父ID,栏目,排序";
			string stryhm="";
			string strmaxid="0";
			//DTable1.List_StyNum=2;
			


			if(sharecode.GetQueryStringValue("addnew")=="true" && sharecode.GetQueryStringValue("submitaddnew")=="" )//如果是添加状态,并且不是提交状态
			{
				//开始处理发贴的链接
				Img_addnew.Attributes.Add("onclick","window.open('add.aspx?addnew=true&DTable_b=" + strb + "','_self','')");
		
				//开始获得当前栏目的信息
				System.Data.SqlClient.SqlConnection oconn=new System.Data.SqlClient.SqlConnection(sharecode.ConnStr);
				oconn.Open();
				System.Data.SqlClient.SqlCommand mycmd=new System.Data.SqlClient.SqlCommand("select 栏目名称,栏目介绍,栏目图标,版主,(select top 1 b.栏目名称 from DTable_BBS_Board b where b.id=a.父栏目) as 父栏目名称 from DTable_BBS_Board a where id=" + strb,oconn);
				System.Data.SqlClient.SqlDataReader myreader=mycmd.ExecuteReader();
			
				string strlmmc="";//栏目名称
				string strlmjs="";//栏目介绍
				string strlmtb="";//图标
				string strbz="";//版主
				string strflmmc="";//父栏目名称
				if(myreader.Read())
				{
					if(!myreader.IsDBNull(4))
					{
						strflmmc=myreader.GetValue(4).ToString();
					}
					if(!myreader.IsDBNull(3))
					{
						strbz=myreader.GetValue(3).ToString();
					}
					if(!myreader.IsDBNull(2))
					{
						strlmtb=myreader.GetValue(2).ToString();
					}
					if(!myreader.IsDBNull(1))
					{
						strlmjs=myreader.GetValue(1).ToString();
					}
					if(!myreader.IsDBNull(0))
					{
						strlmmc=myreader.GetValue(0).ToString();
					}
                
				}
				myreader.Close();


				//开始获取最大的排序号
				
				mycmd.CommandText="select top 1 排序 from DTable_BBS order by 排序 desc";
				myreader=mycmd.ExecuteReader();//这里并不用返回首行首列的方法,该方法在某些浏览器访问时会出错,很是奇怪
 
				if(myreader.Read())
				{
					strmaxid=System.Convert.ToString(myreader.GetInt64(0) + 1);
				}
				myreader.Close();
				mycmd.Dispose();
				oconn.Close();
				oconn.Dispose();

				if(strflmmc!="")
				{
					L_list.Text=strflmmc + " → ";
				}
				if(strlmmc!="")
				{
					L_list.Text+="<a href=list.aspx?DTable_b=" + strb + ">" + strlmmc + "</a>";
				}

stryhm=sharecode.GetSessionValue(sharecode.strUserSName);

				if(stryhm=="")//如果用户没有登录,就显示登录框
				{
					

					stryhm=sharecode.GetCookieValue(sharecode.strUserNameCookieName);//获取历史的用户迷宫那
					string strmm=sharecode.GetCookieValue(sharecode.strPassWordCookieName);//获取历史密码
					string stryzm=sharecode.GetRndPassword(6);
					System.Web.HttpContext.Current.Session["login_yzm"]=stryzm;
					L_user.Text=stryhm;

					L_login.Text="<TABLE id=\"logintable\" border=1 width='100%' cellspacing='5' style='border-collapse: collapse' bordercolor='#111111' bordercolorlight='#cccccc' bordercolordark='#cccccc' bgcolor=#EEEEEE><form name='formlogin' target=\"loginframe\" method=\"post\" action=\"../register/userlogin.aspx\"><tr><td> 用户名: <input type=\"text\" size=\"10\" name=\"yhm\" value=\"" + stryhm + "\">&nbsp;&nbsp;密码: <input type=\"password\" name=\"mm\" value=\"" + strmm + "\" size=\"10\">&nbsp;记住密码: <select id=\"ls\" name=\"ls\"><option value=\"0\">每次登录</option><option value=\"7\">1周</option><option value=\"30\">1月</option><option value=\"365\" selected>1年</option></select>&nbsp;<input type=\"hidden\" name=\"yzm\" value=\"" + stryzm + "\"><input type=\"submit\" name=\"userlogin\" value=\"登录\"></td></tr></form></table><IFRAME name=\"loginframe\" src=\"about:blank\" width=\"0\" height=\"0\"></IFRAME>";
					L_script.Text="<script language=javascript>document.all.submitaddnew.disabled=true;</script>";
				}
				else
				{
					L_login.Text="";
					L_user.Text=stryhm;
				}
			}
			DTable1.Edit_FieldFormat="2||htmledit|./img_bbs/||||^3||urlfile|./img_up||./file_up/mini/|||^4||urlfile|./file_up/|||||^5||autovalue|" + stryhm + "||||^7||autovalue|0||||^6||autovalue|" + Page.Request.UserHostAddress.ToString()  +"||||^8||autovalue|" + strb + "||||^9||autovalue|" + strmaxid + "||||";
			if(sharecode.GetFormValue("field5")!="")
			{
				DTable1.Edit_SQL_AddEnd ="update DTable_User set 积分=积分+7 where 用户名='" + sharecode.GetFormValue("field5") + "'";
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
